SoTrackballManip(3)

NAME
SoTrackballManip - The SoTrackballManip wraps an SoTrackballDragger for convenience.

SYNOPSIS

#include <Inventor/manips/SoTrackballManip.h>

Inherits SoTransformManip.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTrackballManip (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTrackballManip (void)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTrackballManip wraps an SoTrackballDragger for convenience. The manipulator class takes care of wrapping up the SoTrackballDragger in a simple and convenient API for the application programmer, making it automatically surround the geometry it influences and taking care of the book-keeping routines for its interaction with the relevant fields of an SoTransformation node.

 Example of Trackball Manipulator

Here's a dead simple, standalone example on how to set up an SoTrackballManip in a scene graph:

#include <Inventor/Qt/SoQt.h>
#include <Inventor/Qt/viewers/SoQtExaminerViewer.h>
#include <Inventor/nodes/SoCone.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/manips/SoTrackballManip.h>

int
main(int argc, char* argv[])
{
  QWidget * mainwin = SoQt::init(argv[0]);
  SoSeparator * root = new SoSeparator;
  root->ref();
  SoTrackballManip * manip = new SoTrackballManip;
  root->addChild(manip);
  root->addChild(new SoCone);

  SoQtExaminerViewer * viewer = new SoQtExaminerViewer(mainwin);
  viewer->setSceneGraph(root);

  SoQt::show(mainwin);
  SoQt::mainLoop();
  root->unref();

  return 0;
}

Compile and hit 'ESC' to go into scene graph interaction mode in the examiner viewer, then change the rotation of the cone by interacting with the dragger bands.

 Rendering from Example File Above

Constructor & Destructor Documentation

  SoTrackballManip::SoTrackballManip (void)
Default constructor. Allocates an SoTrackballDragger and an SoSurroundScale node to surround the geometry within our part of the scene graph.

  SoTrackballManip::~SoTrackballManip (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTrackballManip::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTrackballManip::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTransformManip.

  const SoFieldData ** SoTrackballManip::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTrackballManip::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTransformManip.

Author

Generated automatically by Doxygen for Coin from the source code.